package de.ibh.RandomArt;

public class RAOWell extends AbstractRAOperatorA1 {
	public RAOWell(RAPRNG prng) {
		super(prng);
	}

	@Override
	public double[] eval(final double x, final double y) {
		double[] rgb = ops.get(0).eval(x, y);

		RAUtilities.checkRGB(rgb);
		
		return new double[] {RAUtilities.well(rgb[0]), RAUtilities.well(rgb[1]), RAUtilities.well(rgb[2])};
	}
}
