package de.ibh.StrongRoom.Client.Lucene;

import org.apache.lucene.document.Document;

import de.ibh.StrongRoom.DB.Role;

public class SearchResult {
	final private Role role;
	final private Document doc;
	final private float score;
	
	public SearchResult(final Role role, final Document doc, final float score) {
		this.role = role;
		this.doc = doc;
		this.score = score;
	}

	public Role getRole() {
		return role;
	}

	public Document getDoc() {
		return doc;
	}

	public float getScore() {
		return score;
	}
}
