package de.ibh.StrongRoom.DB;

import java.util.Set;

import de.ibh.StrongRoom.Crypto.CryptoBackend.ECryptoPGP_KeyType;

public class RoleKey implements IEncryptedRow /* TODO: ISignedRow */ {
    private Role role = null;
    private String keyFPR;
    private String pKey;
    private String encKey;
    
    RoleKey(final String keyFPR, String pKey, String encKey) {
        this.keyFPR = keyFPR;
        this.pKey = pKey;
        this.encKey = encKey;
    }

    
    protected void setRole(Role role) {
    	this.role = role;
    }
    
    public String getKeyFPR() {
        return keyFPR;
    }
    
    public String getPublicKey() {
    	return pKey;
    }
    
    public Role getRole() {
        return role;
    }

	@Override
	public Set<ECryptoPGP_KeyType> getEncKeySet() {
		throw new IllegalAccessError();
	}


	@Override
	public String getEncryptedData() {
		return encKey;
	}


	@Override
	public void setEncryptedData(String encData) {
		throw new IllegalAccessError();
	}
}
