/**
 * 
 */
package de.ibh.StrongRoom.Exception;

/**
 * @author liske
 *
 */
public class SRRoleKeyMismatchException extends SRGenericCryptoModelException {
	private static final long serialVersionUID = 1L;

	public SRRoleKeyMismatchException(final long roleID, final String rKeyFPR, final String rFPR) {
		super("The expected FPR '" + rKeyFPR + "' of the Role (ID " + roleID + ") did not match '" + rFPR + "'.");
	}
}
