#!/usr/bin/php
<?php
if($argc < 2) 
	exit("Usage: ".$argv[0]." FILE\n");

$infile = $argv[1];
if (file_exists($infile)) {
	
	$names = array();
	$fp = fopen($infile, "r");
	while(!feof($fp)) {
		array_push($names, fgets($fp));
	}
	fclose($fp);
	
	if(!count($names))
		exit("$infile is empty.\n");
	
	ini_set('mssql.charset', 'UTF-8');
    $conn = @mssql_connect("macena", "ibh", "");
	
	mssql_select_db("SITE", $conn);
	
	$query = 'SELECT DISTINCT cu.[No_] as \'id\', co.[Name] as \'name\', co.[Search Name] as \'search\' ' .
'FROM [SITE].[dbo].[IBH IT-Service GmbH$Contact] as co, [SITE].[dbo].[IBH IT-Service GmbH$Customer] as cu ' .
'WHERE co.[Search Name] = cu.[Search Name] AND [Salutation Code] = \'FIRMA\' AND co.[Search Name] <> \'\'';

	
	$matches = array();
	$res = mssql_query($query, $conn);
	while($row = mssql_fetch_array($res)) {
		foreach ( $names as $name ) {
       		if(strstr(strtolower($name), strtolower($row['name'])) || strstr(strtolower($name), strtolower($row['search']))) {
       			$name = trim($name);
       			//echo "match: ".utf8_decode($row['id'])."  ".utf8_decode($row['name']). "  $name "."\n";
       			$matches[$name] = $row['id'];
       		} 
		}
	}
	
	foreach ( $names as $name ) {
		$name = trim($name);
		if(!$name) continue;
		if(!in_array($name, array_keys($matches)))
			$matches[$name] = 0;
	}
	
	echo ("array (");
	foreach( $matches as $key => $value ) {
		echo "'$key' => '$value',\n";
	}
	echo (")\n");
	
	mssql_free_result($res);
	mssql_close($conn);
} else {
	exit("Failed to open ".$infile.".\n");
}
?>
